Package ru.bitel.bgbilling.modules.bill.common.bean

# Class Position.Builder

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.Position.Builder

Enclosing class:
  `Position`

public static class Position.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Position`
  `build()`
  `Position.Builder`
  `setAddWhenLessZero(boolean addWhenLessZero)`
  `Position.Builder`
  `setData(String data)`
  `Position.Builder`
  `setDynclass(String dynclass)`
  `Position.Builder`
  `setExtractor(String extractor)`
  `Position.Builder`
  `setId(int id)`
  `Position.Builder`
  `setInSum(boolean inSum)`
  `Position.Builder`
  `setName(String name)`
  `Position.Builder`
  `setParams(Map<String,String> params)`
  `Position.Builder`
  `setQtyNumsAfterComma(String qtyNumsAfterComma)`
  `Position.Builder`
  `setQtyNumsRoundingMode(String qtyNumsRoundingMode)`
  `Position.Builder`
  `setQuantity(String quantity)`
  `Position.Builder`
  `setSumm(String sum)`
  `Position.Builder`
  `setTitle(String title)`
  `Position.Builder`
  `setUnit(String unit)`
  `Position.Builder`
  `setUnitCode(String unitCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public Position.Builder setId(int id)

  - ### setAddWhenLessZero

    public Position.Builder setAddWhenLessZero(boolean addWhenLessZero)

  - ### setData

    public Position.Builder setData(String data)

  - ### setDynclass

    public Position.Builder setDynclass(String dynclass)

  - ### setExtractor

    public Position.Builder setExtractor(String extractor)

  - ### setInSum

    public Position.Builder setInSum(boolean inSum)

  - ### setName

    public Position.Builder setName(String name)

  - ### setParams

    public Position.Builder setParams(Map<String,String> params)

  - ### setQtyNumsAfterComma

    public Position.Builder setQtyNumsAfterComma(String qtyNumsAfterComma)

  - ### setQtyNumsRoundingMode

    public Position.Builder setQtyNumsRoundingMode(String qtyNumsRoundingMode)

  - ### setQuantity

    public Position.Builder setQuantity(String quantity)

  - ### setSumm

    public Position.Builder setSumm(String sum)

  - ### setTitle

    public Position.Builder setTitle(String title)

  - ### setUnit

    public Position.Builder setUnit(String unit)

  - ### setUnitCode

    public Position.Builder setUnitCode(String unitCode)

  - ### build

    public Position build()